Retrieve an export by ID
curl --request GET \
--url https://api.eu.bronto.io/exports/{exportId} \
--header 'X-BRONTO-API-KEY: <api-key>'import requests
url = "https://api.eu.bronto.io/exports/{exportId}"
headers = {"X-BRONTO-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BRONTO-API-KEY': '<api-key>'}};
fetch('https://api.eu.bronto.io/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"export_id": "<string>",
"org_id": "<string>",
"progress": 123,
"status": "CREATED",
"bytes": 123,
"events": 123,
"location": "<string>",
"search_details": {
"from": "550e8400-e29b-41d4-a716-446655440000:297bb888-83b1-44e0-8ab6-47879f1275a2",
"fromTs": 1709251200000,
"toTs": 1711390455601,
"where": "ip=10.0.0.1",
"time_range": "Last 3 weeks",
"timeRange": "Last 3 weeks",
"from_ts": 1709251200000,
"to_ts": 1711390455601
},
"created_at": 123,
"modified_at": 123,
"failure_detail": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}Retrieve an export by ID
Poll the status and progress percentage of an asynchronous Bronto export job by ID, and retrieve the signed download URL once the export completes.
GET
/
exports
/
{exportId}
Retrieve an export by ID
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
The unique identifier of the export to retrieve
Response
Export retrieved successfully
The unique identifier for the export.
The ID of the organization associated with the export.
The progress percentage of the export.
The current status of the export.
Available options:
CREATED, IN_PROGRESS, COMPLETE The size of the export in bytes.
The number of events in the export.
The location where the export is stored.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
The timestamp when the export was created.
The timestamp when the export was last modified.
Provides the reason for the failure if the export did not complete successfully.

